Method: projects.locations.instances.tokenAuthUsers.addAuthToken

Adds a token for a user of a token based auth enabled instance.

HTTP request


POST https://memorystore.googleapis.com/v1beta/{tokenAuthUser=projects/*/locations/*/instances/*/tokenAuthUsers/*}:addAuthToken

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
tokenAuthUser

string

Required. The name of the token auth user resource that this token will be added for.

Request body

The request body contains data with the following structure:

JSON representation
{
  "authToken": {
    object (AuthToken)
  }
}
Fields
authToken

object (AuthToken)

Required. The auth token to add.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/memorystore.read-write